﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BingPaper.Interfaces
{
    interface ICommandContext
    {
        ILogger Logger { get; set; }
        string ImageSavePath { get; set; }
        Config Config { get; set; }
        string CurrentImageName { get; set; }
    }

    interface ICommand
    {
        void Run(ICommandContext context);
    }
}
