﻿
#if TEST
using System;
using System.Linq;
using BingPaper.Util;
using NUnit.Framework;

namespace BingPaper.Test
{
	[TestFixture]
	public class CountryListProviderTest
	{
		[Test]
		public void TestCountryList()
		{
			var list = CountryListProvider.BingCountries;
			Assert.AreEqual(42, list.Count());
			var us = from x in list
				where string.Equals(x.Code,"en-us", StringComparison.OrdinalIgnoreCase)
				select x;
			Assert.AreEqual(1, us.Count());
			Assert.IsNotNullOrEmpty(us.First().Name);
		}
	}
}
#endif
