﻿
#if TEST
using System;
using BingPaper.Util;
using NUnit.Framework;

namespace BingPaper.Test
{
	[TestFixture]
	public class WallPaperStyleListProviderTest
	{
		[Test]
		public void TestStyleNameValues()
		{
			var dict = WallPaperStyleListProvider.StyleNameValues;
			Assert.AreEqual(0, dict["Center"]);
			Assert.AreEqual(1, dict["Stretch"]);
			Assert.AreEqual(2, dict["Fit"]);
			Assert.AreEqual(3, dict["Fill"]);
			Assert.AreEqual(4, dict["Tile"]);
		}
		
		[Test]
		public void TestStyleSettingValues()
		{
			var dict = WallPaperStyleListProvider.StyleSettingValues;
			Assert.AreEqual(10, dict[3].WallpaperStyle);
			Assert.AreEqual(1, dict[4].TileWallPaper);
		}
	}
}
#endif
