﻿using BingPaper.Interfaces;
using BingPaper.PInvoke;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;

namespace BingPaper.Impl.Command
{
    static class CommandBuilder
    {
        public static ICommand GenereateSetWallpaperCommand()
        {
            return new CompositeCommand(
                new SetWallpaperStyleCommand(),
                new SetDesktopWallpaperCommand(),
                new SetWindowColorCommand()
                );
        }

        public static ICommand GenerateUpateWallpaperCommand()
        {
            return new CompositeCommand(
                new DownloadImageCommand(),
                GenereateSetWallpaperCommand()
            );
        }
    }
}
