﻿using System;
using System.ComponentModel;

namespace BingPaper.Interfaces
{
	internal interface IAppCore : INotifyPropertyChanged
	{
		ILogger Logger{get; set;}
		
		IConfigStorage ConfigStorage {get; set;}
		
		string SavedImagePath {get;}
		
		void NotifyWallpaperChanged();
		
		void Run();
		
		void Stop();
		
		bool IsIdle {get;}
	}
}
